Rensei docs
API ReferenceWorker Protocol

Transfer session to another worker

Transfer session to another worker - Rensei REST API operation reference.

POST
/api/sessions/{id}/transfer-ownership

Authorization

headerAuthorizationBearer <JWT>

Short-lived worker runtime JWT minted by the platform. Claims bind the worker, project, organization, registration, and scopes.

Path Parameters

id*string

Request Body

application/json
  1. body
newWorkerId*string
oldWorkerId*string

Response Body

Transfer result.

application/json
  1. response
transferred?boolean
session?

Full session state object stored in Redis.

reason?string
Example Request
curl -X POST 'https://app.rensei.ai/api/sessions/string/transfer-ownership' \  -H 'Content-Type: application/json' \  -d '{  "newWorkerId": "string",  "oldWorkerId": "string"}'
Example Response
{  "transferred": true,  "session": {    "linearSessionId": "string",    "trackerSessionId": "string",    "issueId": "string",    "issueIdentifier": "string",    "providerSessionId": "string",    "worktreePath": "string",    "status": "pending",    "createdAt": 0,    "updatedAt": 0,    "workerId": "string",    "queuedAt": 0,    "claimedAt": 0,    "priority": 0,    "promptContext": "string",    "organizationId": "string",    "workType": "research",    "agentId": "string",    "projectName": "string",    "provider": "string",    "totalCostUsd": 0,    "inputTokens": 0,    "outputTokens": 0,    "lastToolName": "string",    "lastToolCalledAt": 0,    "toolCallCount": 0  },  "reason": "string"}